:root {
    --cart-overlay-totals-background: var(--secondary-base-color);
    --cart-overlay-divider-background: #d8d8d8;
    --cart-overlay-promo-background: #fff;
    --cart-overlay-width: 400px;
}

.CartOverlay {
    @include after-mobile {
        width: var(--cart-overlay-width);
        padding: 0;
        position: absolute;
        top: calc(var(--header-nav-height) - 7px);
        right: 22px;
    }

    &_isVisible {
        @include after-mobile {
            border: 1px solid var(--overlay-desktop-border-color);
        }
    }

    &::before {
        @include after-mobile {
            width: 15px;
            height: 15px;
            position: absolute;
            top: -9px;
            right: 9px;
            transform: rotate(45deg);
            background-color: var(--overlay-desktop-border-color);
            content: '';
            border: {
                top: 1px solid var(--overlay-desktop-border-color);
                left: 1px solid var(--overlay-desktop-border-color);
            }
        }
    }

    &-Empty {
        padding: 1rem;
        border-bottom: 1px solid var(--expandable-content-color);
    }

    &-Actions {
        display: flex;
        padding: 1rem;
    }

    &-CheckoutButton {
        margin-left: 1rem;

        span {
            @include lock-button;
        }

        @include mobile {
            display: block;
            width: 100%;
            margin-left: 0;
            text-align: center;
        }

        @include after-mobile {
            flex-grow: 1;
            text-align: center;
        }
    }

    &-CartButton {
        @include mobile {
            display: none;
        }
    }

    &-Promo,
    &-Total {
        min-height: 4rem;

        @include after-mobile {
            min-height: 3rem;
        }
    }

    &-Promo {
        padding: 1rem;
        margin-bottom: 0;
        background: var(--cart-overlay-promo-background);
        text-align: center;

        @include mobile {
            border-top: 1px solid var(--expandable-content-color);
            border-bottom: 1px solid var(--cart-overlay-divider-background);
        }

        @include after-mobile {
            padding: 0.7rem;
            background: var(--primary-light-color);
        }

        strong {
            margin: 0 5px;
        }
    }

    &-Items {
        max-height: 40vh;
        overflow-y: scroll;

        @include after-mobile {
            min-height: 180px;
        }
    }

    &-Total,
    &-Discount,
    &-Tax {
        display: flex;
        padding: 1rem 1rem 0.5rem;
        align-items: center;
        justify-content: space-between;
        background: var(--cart-overlay-totals-background);
        font-size: 18px;

        @include after-mobile {
            font-size: 16px;
        }
    }

    &-Total {
        padding: 0.5rem 1rem 1rem;
        font-weight: bold;

        @include after-mobile {
            border-bottom: 1px solid var(--cart-item-divider-color);
        }
    }

    &-DiscountCoupon {
        &::after {
            font-weight: normal;
            content: ':';
        }
    }
}

.prm .CartOverlay {
    &_isVisible {
        @include after-mobile {
            border: 1px solid var(--primary-base-color);
        }
    }

    &::before {
        @include after-mobile {
            background-color: var(--primary-base-color);
            border: {
                top: 1px solid var(--primary-base-color);
                left: 1px solid var(--primary-base-color);
            }
        }
    }
}
